# PODNAME: Config::Model::models::Dpkg::Copyright::FillBlanks::Pattern
# ABSTRACT:  Configuration class Dpkg::Copyright::FillBlanks::Pattern

=encoding utf8

=head1 NAME

Config::Model::models::Dpkg::Copyright::FillBlanks::Pattern - Configuration class Dpkg::Copyright::FillBlanks::Pattern

=head1 DESCRIPTION

Configuration classes used by L<Config::Model>

=head1 Elements

=head2 copyright

I< Optional. Type string.  > 

=head2 override-copyright

C<override-copyright> key is used to ignore the copyright information coming from the source and provide the correct information. Use this as last resort for instance when the encoding of the owner is not ascii or utf-8. Note that a warning will be shown each time a copyright is overridden. I< Optional. Type string.  > 

=head2 license

license keyword, either similar to the one provided by L<licensecheck> or license short name as required by Debian copyright specification. I< Optional. Type uniline.  > 

=head2 override-license

C<override-license> key is used to ignore the license information coming from the source and provide the correct information. Use this as last resort when extracted license is corrupted and fill a bug against libconfig-model-dpkg-perl to get this issue fixed. Note that a warning will be shown each time a license is overridden. I< Optional. Type string.  > 

=head2 skip

skip the files like a file without any information. I< Optional. Type boolean.  > 

=over 4

=item upstream_default value :

0

=back



=head2 comment

This field is provided for bookkeeping and is not used by "cme update dpkg-copyright" I< Optional. Type string.  > 

=head2 forwarded-comment

This field is copied verbatim in the target copyright entry. I< Optional. Type string.  > 

=head1 SEE ALSO

=over

=item *

L<cme>

=back

=cut

